X2Go Bug report logs - #205
Patch for fix cairo issue

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Nicolas DEFFAYET <nicolas@deffayet.com>

Date: Fri, 10 May 2013 21:18:01 UTC

Severity: normal

Tags: moreinfo, patch

Found in version 3.5.0.20-0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#205; Package nx-libs. (Fri, 10 May 2013 21:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas DEFFAYET <nicolas@deffayet.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 10 May 2013 21:18:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Nicolas DEFFAYET <nicolas@deffayet.com>
To: submit@bugs.x2go.org
Subject: Patch for fix cairo issue
Date: Fri, 10 May 2013 23:07:59 +0200
Package: nx-libs 
Version: 3.5.0.20-0

As cairo enable buggy_repeat (src/cairo-xlib-display.c) for XFree86 <= 40500000; X.Org >= 60700000 & < 70000000; X.Org < 10400000, it's required to have version 70100000 shown to cairo.

On Debian Wheezy, with original cairo, this will result of no fount displayed as show on https://bbs.archlinux.org/viewtopic.php?id=141884.

The problem is already know: https://bugs.freedesktop.org/show_bug.cgi?id=32014

Ubuntu ***seem*** (require more investigation) to have patched their cairo but not Debian.

Patching nx-X11 for show fake version to cairo is for me the best solution as there is no dependance of a patched cairo.

Suggested patch (need more test):

$ vi debian/patches/999_nx-X11_version_hack_for_cairo.patch
---
Description: Version hack for cairo
 As cairo enable buggy_repeat (src/cairo-xlib-display.c) for XFree86 <= 40500000; X.Org >= 60700000 & < 70000000; X.Org < 10400000, it's required to have version 70100000 shown to cairo.
 https://bugs.freedesktop.org/show_bug.cgi?id=32014.
--- a/nx-X11/config/cf/X11.tmpl	2013-03-28 20:36:38.000000000 +0000
+++ b/nx-X11/config/cf/X11.tmpl	2013-05-10 18:20:18.000000000 +0000
@@ -45,7 +45,7 @@
 # if defined XorgVersionString
 #   define XOrgReleaseString	Release XorgVersionString
 # else
-#   define XOrgReleaseString	Release 6.9
+#   define XOrgReleaseString	Release 7.1
 # endif
 #endif
 
--- a/nx-X11/config/util/makedef.cmd	2013-03-28 20:36:38.000000000 +0000
+++ b/nx-X11/config/util/makedef.cmd	2013-05-10 18:41:40.000000000 +0000
@@ -23,13 +23,13 @@
 sASDFeatureId   = '';
 sCountryCode    = '';
 sDateTime       = left(' 'date()' 'time(), 26);
-sDescription    = 'X.Org 6.9';
+sDescription    = 'X.Org 7.1';
 sFixPakVer      = '';
 sHostname       = strip(substr(VALUE('HOSTNAME',,'OS2ENVIRONMENT'), 1, 11));
 sLanguageCode   = '';
 sMiniVer        = '';
 sVendor         = 'X.Org';
-sVersion        = '6.9';
+sVersion        = '7.1';
 

 /*
---
$ echo "999_nx-X11_version_hack_for_cairo.patch" >> debian/patches/series


Thanks

-- 
Nicolas DEFFAYET


Added tag(s) patch. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 14 May 2013 11:03:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#205; Package nx-libs. (Mon, 16 Jun 2014 10:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Jun 2014 10:30:02 GMT) Full text and rfc822 format available.

Message #12 received at 205@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 205@bugs.x2go.org
Cc: 205-submitter@bugs.x2go.org
Subject: Patch not accepted
Date: Mon, 16 Jun 2014 10:28:07 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 wontfix
Control: close -1

Dear Nicolas,

about a year ago you proposed a patch for NX/X2Go. Thanks for  
contributing to X2Go.

However, I want to inform you that the patch got rejected. We won't  
tweak the X11 version string presented by NX as that is definitely the  
wrong approach to go at this place.

We are rather working on people/developers becoming aware of X2Go and  
adapting their code so that it does not crash on NX.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 205-submit@bugs.x2go.org. (Mon, 16 Jun 2014 10:30:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 205-submit@bugs.x2go.org. (Mon, 16 Jun 2014 10:30:02 GMT) Full text and rfc822 format available.

Notification sent to Nicolas DEFFAYET <nicolas@deffayet.com>:
Bug acknowledged by developer. (Mon, 16 Jun 2014 10:30:02 GMT) Full text and rfc822 format available.

Message sent on to Nicolas DEFFAYET <nicolas@deffayet.com>:
Bug#205. (Mon, 16 Jun 2014 10:30:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 15 Jul 2014 05:24:01 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Nov 2014 13:25:02 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Nov 2014 13:25:02 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Nov 2014 13:25:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#205; Package nx-libs. (Thu, 13 Nov 2014 21:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:35:01 GMT) Full text and rfc822 format available.

Message #34 received at 205@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nicolas DEFFAYET <nicolas@deffayet.com>
Cc: 205@bugs.x2go.org
Subject: X2Go Bug #205 not an issue anymore, right?
Date: Thu, 13 Nov 2014 21:30:34 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Nicolas,

I have recently reopened X2Go bug#205. It has been stated by Ulrich  
Sibiller that faking the X11 version has also been a practice  
performed by NoMachine (in nxagent-3.5.0-8).

So I thougt to look at your bug report #205 [1] once more, but my  
impression is that the reported problem has meanwhile been fixed and  
it is sufficient to announce NX as X.Org 7.0 (not 7.1).

Could you please shortly comment on this?

Thanks,
Mike (from X2Go upstream, one of the maintainers of NX-redistributed)

[1] http://bugs.x2go.org/205

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 205-submit@bugs.x2go.org. (Thu, 13 Nov 2014 21:35:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#205; Package nx-libs. (Tue, 02 Dec 2014 23:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 02 Dec 2014 23:00:04 GMT) Full text and rfc822 format available.

Message #41 received at 205@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: 205@bugs.x2go.org
Subject: Some comments on this
Date: Tue, 2 Dec 2014 23:58:01 +0100
In nxagent-3.5.0-8 NoMachine has tweaked the version number of
nxagent to work better with cairo. So doing this is not completely
unusual for NX...

In nx-X11/programs/Xserver/hw/
nxagent/Init.c you can find these lines:
-----------------------------------------------------------
/*
* Avoid slowness due to buggy_repeat workaround
* in libcairo versions >= 1.10.
*/

SetVendorRelease(70000000);
-----------------------------------------------------------

And in the CHANGELOG:
-----------------------------------------------------------
nxagent-3.5.0-8

- Fixed TR01J02646. Performance issues with cairo version 1.12.
-----------------------------------------------------------


However, the current cairo code contains this
(http://cgit.freedesktop.org/cairo/tree/src/cairo-xlib-display.c
around line 300):
-----------------------------------------------------------
if (VendorRelease (dpy) >= 60700000) {
   if (VendorRelease (dpy) < 70000000)
display->buggy_repeat = TRUE;
}
-----------------------------------------------------------

As NX is presenting itself as 70000000 the condition is false already
and changing the version to 70100000 would not change the cairo
behaviour here.

BTW: Xorg 6.9 and 7.0 are the same code. 7.0 has just been
restructured completely and adapted to automake.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#205; Package nx-libs. (Fri, 15 May 2015 13:24:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 13:24:46 GMT) Full text and rfc822 format available.

Message #46 received at 205@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ulrich Sibiller <uli42@gmx.de>, 205@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#205: Some comments on this
Date: Fri, 15 May 2015 13:24:30 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Di 02 Dez 2014 23:58:01 CET, Ulrich Sibiller wrote:

> In nxagent-3.5.0-8 NoMachine has tweaked the version number of
> nxagent to work better with cairo. So doing this is not completely
> unusual for NX...
>
> In nx-X11/programs/Xserver/hw/
> nxagent/Init.c you can find these lines:
> -----------------------------------------------------------
> /*
> * Avoid slowness due to buggy_repeat workaround
> * in libcairo versions >= 1.10.
> */
>
> SetVendorRelease(70000000);
> -----------------------------------------------------------
>
> And in the CHANGELOG:
> -----------------------------------------------------------
> nxagent-3.5.0-8
>
> - Fixed TR01J02646. Performance issues with cairo version 1.12.
> -----------------------------------------------------------
>
>
> However, the current cairo code contains this
> (http://cgit.freedesktop.org/cairo/tree/src/cairo-xlib-display.c
> around line 300):
> -----------------------------------------------------------
> if (VendorRelease (dpy) >= 60700000) {
>    if (VendorRelease (dpy) < 70000000)
> display->buggy_repeat = TRUE;
> }
> -----------------------------------------------------------
>
> As NX is presenting itself as 70000000 the condition is false already
> and changing the version to 70100000 would not change the cairo
> behaviour here.
>
> BTW: Xorg 6.9 and 7.0 are the same code. 7.0 has just been
> restructured completely and adapted to automake.

Agreeing with Uli on this and thus closing.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 205-submit@bugs.x2go.org. (Fri, 15 May 2015 13:24:46 GMT) Full text and rfc822 format available.

Notification sent to Nicolas DEFFAYET <nicolas@deffayet.com>:
Bug acknowledged by developer. (Fri, 15 May 2015 13:24:47 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 13 Jun 2015 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 15:16:10 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.